DtWsmRemoveWorkspaceFunctions(library call)

NAME
DtWsmRemoveWorkspaceFunctions — remove a window's workspace functions

SYNOPSIS

#include &<Dt/Wsm.h>
void DtWsmRemoveWorkspaceFunctions(
Display *display,
Window window);

DESCRIPTION

The DtWsmRemoveWorkspaceFunctions function removes a window's workspace functions. When DtWsmRemoveWorkspaceFunctions removes workspace functions, the window menu for the window the XCDE workspace manager, dtwm(1), displays does not have the entries that allow the window to occupy a different set of workspaces, occupy all workspaces, or be removed from the current workspace.

The display argument is the X display.

The window argument is the window to have its workspace functions disabled.

RETURN VALUE

The DtWsmRemoveWorkspaceFunctions function returns no value.

APPLICATION USAGE

The application must call DtWsmRemoveWorkspaceFunctions before the window is mapped. The XCDE workspace manager, dtwm(1), only looks at the workspace function information at the time the workspace manager manages the window. If the XCDE workspace manager, dtwm(1), is managing the window, the application must withdraw the window (see XWithdrawWindow(3)), remove the workspace functions, and map the window once again.

SEE ALSO

dtwm(1), Dt/Wsm.h - DtWsm(5).